> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for a Specific Company

> Search for a specific company by company ID.



## OpenAPI

````yaml get /v1/companies/{companyId}
openapi: 3.0.1
info:
  title: Oberon API
  description: Oberon open api definitions
  termsOfService: https://pleo.io/terms/
  contact:
    email: apiteam@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 50.7.0
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: SCIM
    description: >-
      SCIM-compatible User API. The SCIM (System for Cross-domain Identity

      Management) specification standardises a schema for user representation
      and

      provides a RESTful API to create, update, retrieve and delete user
      identities.

      <br> In particular, this API enables third-party systems to efficiently
      manage

      user provisioning and de-provisioning.
       <br> API available at `/scim/v2`
    externalDocs:
      description: Read more about SCIM
      url: https://datatracker.ietf.org/doc/html/rfc7644
  - name: Employees
    description: |-
      The Employees API enables you to search for employee records that
      are managed in Pleo. You can perform the following: 
       - Search for multiple
      employees 
       - Search for a specific employee record by employee ID
  - name: Companies
    description: >-
      The Companies API enables you to search for company records that are
      managed in Pleo. You can perform the following: 
       - Search for multiple companies
       - Search for a specific company record by company ID
paths:
  /v1/companies/{companyId}:
    get:
      tags:
        - Companies
      summary: Search for a Specific Company
      description: Search for a specific company by company ID.
      operationId: Get company by ID
      parameters:
        - name: companyId
          in: path
          description: Enter the company ID.
          required: true
          style: simple
          explode: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Company resource found
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/DataResponseExternalCompanyResponseModel'
        '403':
          description: User lacks the necessary permissions.
        '404':
          description: Company with given ID not found
components:
  schemas:
    DataResponseExternalCompanyResponseModel:
      required:
        - data
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ExternalCompanyResponseModel'
    ExternalCompanyResponseModel:
      required:
        - address
        - id
        - name
      type: object
      properties:
        address:
          $ref: '#/components/schemas/ExternalAddressResponseModel'
        id:
          type: string
          description: ID of the Company
          format: uuid
        name:
          type: string
          description: Name of the Company
        organizationId:
          type: string
          description: Organization ID of the Company
          format: uuid
        registrationNumber:
          type: string
          description: Registration number of the company
    ExternalAddressResponseModel:
      type: object
      properties:
        addressLine1:
          type: string
          description: Line 1 of the company address.
        addressLine2:
          type: string
          description: Line 2 of the company address.
        country:
          type: string
          description: Country of the company.
        locality:
          type: string
          description: Locality of the company address.
        postalCode:
          type: string
          description: Postal code of the company address.
        region:
          type: string
          description: Region of the company.
      description: Address of the company
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        JWT Bearer token authentication. Include the token in the Authorization
        header as: `Bearer <token>`
      scheme: bearer
      bearerFormat: JWT
    basicAuth:
      type: http
      description: >-
        Basic HTTP authentication using API key. Use your API key as the
        username and leave the password empty. The credentials will be Base64
        encoded automatically.
      scheme: basic

````